<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::CompositorChain Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#b58b7b39dc6335b196791d73f880f73b">_compile</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#7655532cf0ded63f91cbfb2063d98875">_getOriginalSceneCompositor</a>(void)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#0786570dbe0567f781db42c64cdc0864">_markDirty</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#0c5a67e7aeb3f74242a45972f30073eb">_notifyViewport</a>(Viewport *vp)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#3ca3e8bf062f7b7835043db522e49230">_queuedOperation</a>(CompositorInstance::RenderSystemOperation *op)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#9d532a4e514a102d8a2970b5d012707e">_removeInstance</a>(CompositorInstance *i)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#76f80acb6a345c6e4d5eb66e2a0638b7">addCompositor</a>(CompositorPtr filter, size_t addPosition=LAST, size_t technique=BEST)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#168c3bd702ad4e598d2765ba8ddb8c1b">BEST</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#67e27f9c9d45a24624a90bae29c87c00">clearCompiledState</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#c96b3bb0bdc4889c8917ce7015604db1">CompositorChain</a>(Viewport *vp)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#5cb803b5d20168d9bed4b8c7a7ee04b8">destroyResources</a>(void)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#a3ad6ad75b3750d57545f75f36f50533">getCompositor</a>(size_t index)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#edef40765b6893d4451e4abc682b8870">getCompositors</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#16acff0bca06c03a0b3664032631dd5f">getNumCompositors</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#03dbde3d43fe8f2b7d1a6c69a86a1265">getViewport</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#b6a0110a3e6e1cc2c45a6aa7e6d15e20">InstanceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#f98b6351f6dcbcbc353e9ec39b3e8d0a">Instances</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#12a007f299024321e7c826e0c069e903">LAST</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#7d18abb26afbcced73733296b9b203f5">mAnyCompositorsEnabled</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#1c6ffca0e911fa96d012d9222ae48291">mCompiledState</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#30177a879b005637889e4be4d17561ae">mDirty</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#e3d506995ac8ad8aa48270e5ea1c7f13">mInstances</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#e802fec376168b0009e91d9d2b52a32a">mOldClearEveryFrameBuffers</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#3a136f6c8be3a5b736403878766bd00f">mOldFindVisibleObjects</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#99c657543a08099992f80d7d186939f0">mOldLodBias</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#b340ff7596d3ca02abbbbac6d807b50a">mOldMaterialScheme</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#cf5b75bbbbf8da0cfc7f8fd47183f191">mOldShadowsEnabled</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#f3a2826a2501abc1a39639835fe0b021">mOldVisibilityMask</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#c670c7beb3e20ed90fc527421bdc41ba">mOriginalScene</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#10696f59831cee75561c0c2099b5d7be">mOurListener</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#889e1ef93d03389ec01b34a70f62d1f3">mOutputOperation</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#2000a0428258a1d0d6d39724b0e92201">mRenderSystemOperations</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#584ed2008fb3617e586e9be48d61071c">mViewport</a></td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderTargetListener.html#722f37475162c91ee0dd6cebf03e63a3">postRenderTargetUpdate</a>(const RenderTargetEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1RenderTargetListener.html">Ogre::RenderTargetListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#caad2534d25b0dac9490142f2311c9ae">postTargetOperation</a>(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#3e3315ef4adfc91d21fe309b2c74576a">postViewportUpdate</a>(const RenderTargetViewportEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#1ec36cc26d28a3093551eefa01e0d150">preRenderTargetUpdate</a>(const RenderTargetEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#1a3cdd8c8f2af6e04892efb8cb48703f">preTargetOperation</a>(CompositorInstance::TargetOperation &amp;op, Viewport *vp, Camera *cam)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#dd2baec43d6f70d7074c0bc661c218c3">preViewportUpdate</a>(const RenderTargetViewportEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#8555577c8789123a52ee4dc88511c06b">removeAllCompositors</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#136bcc91dece7d0c020c6bf4e635a2f3">removeCompositor</a>(size_t position=LAST)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#e4e9c8953b28c925e342762a563d2724">RenderSystemOperations</a> typedef</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#3c2e3610732ee682f97a2e177168ca21">setCompositorEnabled</a>(size_t position, bool state)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderTargetListener.html#b901ef7073b680203caf86792c2151ee">viewportAdded</a>(const RenderTargetViewportEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1RenderTargetListener.html">Ogre::RenderTargetListener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#d7c35a353497792f762cb57b1111532e">viewportRemoved</a>(const RenderTargetViewportEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositorChain.html#a8834cdfc95d460005da8099f2f267be">~CompositorChain</a>()</td><td><a class="el" href="classOgre_1_1CompositorChain.html">Ogre::CompositorChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderTargetListener.html#fb5752b727803f415b960ed9f2728f3a">~RenderTargetListener</a>()</td><td><a class="el" href="classOgre_1_1RenderTargetListener.html">Ogre::RenderTargetListener</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:24 2008
</p>
</body>
</html>
